package com.seer.teach.pay.app.recharge.convert;

import com.seer.teach.pay.app.wallet.resp.AppCoinRechargeResp;
import com.seer.teach.pay.entity.CoinRechargeEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AppCoinRechargeConvert {

    AppCoinRechargeConvert INSTANCE = Mappers.getMapper(AppCoinRechargeConvert.class);

    AppCoinRechargeResp convertOne(CoinRechargeEntity coinRechargeEntity);

    List<AppCoinRechargeResp> convertList(List<CoinRechargeEntity> list);
}
